package cn.wise.sc.acquisition.business.service.impl;

import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.entity.TMaterialInventory;
import cn.wise.sc.acquisition.business.mapper.TMaterialInventoryMapper;
import cn.wise.sc.acquisition.business.service.ITMaterialInventoryService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author renchao
 * @since 2021-06-02
 */
@Service
public class TMaterialInventoryServiceImpl extends ServiceImpl<TMaterialInventoryMapper, TMaterialInventory> implements ITMaterialInventoryService {

	@Resource
	private TMaterialInventoryMapper materialInventoryMapper;

	/**
	 * 获取盘点列表
	 * @return
	 */
	@Override
	public R<List<TMaterialInventory>> getList(){
		QueryWrapper<TMaterialInventory> tmiWrapper = new QueryWrapper<>();
		tmiWrapper.eq("lx", "盘点");
		List<TMaterialInventory> list = materialInventoryMapper.selectList(tmiWrapper);
		return R.ok(list);
	}










}
