package cn.wise.sc.acquisition.business.controller;


import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.service.ITMaterialInventoryService;
import cn.wise.sc.acquisition.business.service.ITMaterialOutService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author renchao
 * @since 2021-06-02
 */
@Api(tags = "盘点管理")
@RestController
@RequestMapping("/business/t-material-inventory")
public class TMaterialInventoryController {

	@Autowired
	private ITMaterialInventoryService materialInventoryService;


	@ApiOperation(value = "选择盘点列表")
	@GetMapping("/getList")
	public R getList() {
		return materialInventoryService.getList();
	}



}

