package cn.wise.sc.acquisition.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author renchao
 * @since 2021-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("T_Equipment_Check_Content")
public class TEquipmentCheckContent implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * Uid号
     */
    @TableId(value = "Uid", type = IdType.ASSIGN_UUID)
    private String Uid;

    /**
     * 设备编码
     */
    @TableField("EquipmentID")
    private String EquipmentID;

    /**
     * 设备名称
     */
    @TableField("EquipmentName")
    private String EquipmentName;

    /**
     * 点检部位
     */
    @TableField("Djbw")
    private String Djbw;

    /**
     * 点检内容
     */
    @TableField("Djnr")
    private String Djnr;

    /**
     * 点检标准
     */
    @TableField("Djbz")
    private String Djbz;

    /**
     * 点检周期
     */
    @TableField("Djzq")
    private Integer Djzq;

    /**
     * 该项是否点检
     */
    @TableField("IsUsing")
    private Boolean IsUsing;


}
