package cn.wise.sc.acquisition.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author renchao
 * @since 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("T_Material_Inventory")
public class TMaterialInventory implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * Uid号
     */
      @TableId("Uid")
    private String Uid;

    /**
     * 品名
     */
    @TableField("Name")
    private String Name;

    /**
     * 数量
     */
    @TableField("Amount")
    private Float Amount;

    /**
     * 单价
     */
    @TableField("Price")
    private Float Price;

    /**
     * 金额
     */
    @TableField("Total")
    private Float Total;

    /**
     * 日期标记,如:2021年01月
     */
    @TableField("Tag")
    private String Tag;

    /**
     * 材料类型，包括燃料及动力、润滑察试、配件、工具、火工材料、电力和其它等
     */
    @TableField("Type")
    private String Type;

    /**
     * 盘点日期
     */
    @TableField("Rq")
    private LocalDateTime Rq;

    /**
     * 类型：盘点
     */
    private String lx;


}
