package cn.wise.sc.acquisition.business.service;

import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.entity.TEquipmentCheckDetail;
import cn.wise.sc.acquisition.business.entity.TEquipmentCheckMain;
import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.model.query.TEquipmentCheckDetailQuery;
import cn.wise.sc.acquisition.business.model.query.TEquipmentCheckMainQuery;
import cn.wise.sc.acquisition.business.model.vo.TEquipmentCheckMainVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2021-04-25
 */
public interface ITEquipmentCheckService extends IService<TEquipmentCheckMain> {

	R checking(TEquipmentCheckMainQuery query);

	R<IPage<TEquipmentCheckMainVo>> getPage(PageQuery pageQuery, String EquipmentName, String selectMonth);

	R<TEquipmentCheckMain> getDetail(String mainUid);

	R<List<TEquipmentCheckDetail>> getDetailList(String mainUid);

	R<TEquipmentCheckDetail> getCheckDetail(String detailUid);

	R updateDetail(TEquipmentCheckDetailQuery query);

	R delete(String mainUid);




}
